"use strict";

const {
  convertCode
} = require('../utilities');

test('private methods aand fields', () => {
  const inputCode = `class Student {
  name="john";
  #password = "1234567890";
  set #setPassword(hash){
    this.#password = hash; 
  }
}`;
  const outputCode = `class Student {
  name = "john";
  #password = "1234567890";
  set #setPassword(hash) {
    this.#password = hash;
  }
}`;
  expect(convertCode(inputCode)).toBe(outputCode);
});